GuideLab Docs

Update the setup guide

Records which optional tasks the organization skipped or when it hid the guide. Only the keys sent are replaced; completion is always derived and cannot be set.

PATCH
/setup-guide

Records which optional tasks the organization skipped or when it hid the guide. Only the keys sent are replaced; completion is always derived and cannot be set.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/setup-guide" \  -H "Content-Type: application/json" \  -d '{}'
{  "state": {    "skipped": [],    "hiddenAt": null  },  "done": {    "company": true,    "connect-lab": true,    "dentists": true,    "scanners": true,    "team": true,    "categories": true,    "products": true,    "finances": true,    "stripe": true,    "workflows": true,    "customers": true  }}
Empty
Empty
Empty
Empty